Bug 1646739 - Upgrade from 6.3.4 to 6.4 is failing on foreman-rake katello:import_subscriptions
Summary: Upgrade from 6.3.4 to 6.4 is failing on foreman-rake katello:import_subscript...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Candlepin
Version: 6.3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.1
Assignee: Barnaby Court
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-05 22:48 UTC by Mike McCune
Modified: 2019-10-30 19:38 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.42-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1642088
Environment:
Last Closed: 2018-12-06 22:32:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25287 None None None 2018-11-05 22:48:16 UTC
Red Hat Product Errata RHBA-2018:3799 None None None 2018-12-06 22:33:26 UTC

Comment 2 Jitendra Yejare 2018-11-15 12:44:18 UTC
Verified!

@ Satellite 6.4.1 snap 1


Steps:

1. Upgrade Satellite from 6.3 to 6.4


Behavior:

1. Upgrade is successful
2. Subscription_import_all and pool_import_all works in console

# foreman-rake console
irb> User.current = User.first
irb> Katello::Subscription.import_all
irb> Katello::Pool.import_all 

3. The subscriptions are intact post upgrade and syncing of repos is working.

Comment 4 errata-xmlrpc 2018-12-06 22:32:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3799


Note You need to log in before you can comment on or make changes to this bug.